Bug 1157989 - ldapsearch does not find existing overrides for FreeIPA ID views when slapi-nis 0.54 is enabled
Summary: ldapsearch does not find existing overrides for FreeIPA ID views when slapi-n...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: slapi-nis
Version: 21
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Alexander Bokovoy
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-10-28 08:22 UTC by Sumit Bose
Modified: 2014-11-10 06:05 UTC (History)
3 users (show)

Fixed In Version: slapi-nis-0.54.1-1.fc21
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-11-10 06:05:42 UTC


Attachments (Terms of Use)

Description Sumit Bose 2014-10-28 08:22:59 UTC
Description of problem:
With recent FreeIPA and slapi-nis versions I see:

[root@ipa-server ~]# kdestroy -A
[root@ipa-server ~]# kinit -k
[root@ipa-server ~]# ldapsearch -H ldap://ipa-server.ipa.views -Y GSSAPI -b 'cn=Default Trust View,cn=views,cn=accounts,dc=ipa,dc=views' 'uid=testover'
SASL/GSSAPI authentication started
SASL username: host/ipa-server.ipa.views@IPA.VIEWS
SASL SSF: 56
SASL data security layer installed.
# extended LDIF
#
# LDAPv3
# base <cn=Default Trust View,cn=views,cn=accounts,dc=ipa,dc=views> with scope subtree
# filter: uid=testover
# requesting: ALL
#

# search result
search: 4
result: 0 Success

# numResponses: 1
[root@ipa-server ~]# ldapsearch -H ldap://ipa-server.ipa.views -Y GSSAPI -b 'cn=views,cn=accounts,dc=ipa,dc=views' 'uid=testover'
SASL/GSSAPI authentication started
SASL username: host/ipa-server.ipa.views@IPA.VIEWS
SASL SSF: 56
SASL data security layer installed.
# extended LDIF
#
# LDAPv3
# base <cn=views,cn=accounts,dc=ipa,dc=views> with scope subtree
# filter: uid=testover
# requesting: ALL
#

# :SID:S-1-5-21-2662603575-1345047739-3284616891-1109, Default Trust View, view
 s, accounts, ipa.views
dn: ipaanchoruuid=:SID:S-1-5-21-2662603575-1345047739-3284616891-1109,cn=Defau
 lt Trust View,cn=views,cn=accounts,dc=ipa,dc=views
objectClass: ipaOverrideAnchor
objectClass: top
objectClass: ipaUserOverride
ipaAnchorUUID:: OlNJRDpTLTEtNS0yMS0yNjYyNjAzNTc1LTEzNDUwNDc3MzktMzI4NDYxNjg5MS
 0xMTA5
uid: testover
ipaOriginalUid: tuser@dom2.bar

# search result
search: 4
result: 0 Success

# numResponses: 2
# numEntries: 1



Version-Release number of selected component (if applicable):
slapi-nis-0.54.1.fc21

Comment 1 Fedora Update System 2014-11-06 16:32:16 UTC
slapi-nis-0.54.1-1.fc21,freeipa-4.1.1-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/slapi-nis-0.54.1-1.fc21,freeipa-4.1.1-1.fc21

Comment 2 Fedora Update System 2014-11-07 05:30:54 UTC
Package slapi-nis-0.54.1-1.fc21, freeipa-4.1.1-1.fc21:
* should fix your issue,
* was pushed to the Fedora 21 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing slapi-nis-0.54.1-1.fc21 freeipa-4.1.1-1.fc21'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-14427/slapi-nis-0.54.1-1.fc21,freeipa-4.1.1-1.fc21
then log in and leave karma (feedback).

Comment 3 Fedora Update System 2014-11-10 06:05:42 UTC
slapi-nis-0.54.1-1.fc21, freeipa-4.1.1-1.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.